## org.apache.lucene.analysis.payloads
Class DelimitedPayloadTokenFilterFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenFilterFactory
              org.apache.lucene.analysis.payloads.DelimitedPayloadTokenFilterFactory

All Implemented Interfaces:
  ResourceLoaderAware

    public class DelimitedPayloadTokenFilterFactory

extends TokenFilterFactory
implements ResourceLoaderAware

Factory for `DelimitedPayloadTokenFilter`.

     <fieldType name="text_dlmtd" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.WhitespaceTokenizerFactory"/>
         <filter class="solr.DelimitedPayloadTokenFilterFactory" encoder="float" delimiter="|"/>
       </analyzer>
     </fieldType>

Field Summary
`static String` `DELIMITER_ATTR`
`static String` `ENCODER_ATTR`

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

Constructor Summary
`DelimitedPayloadTokenFilterFactory(Map<String,String> args)` Creates a new DelimitedPayloadTokenFilterFactory

Method Summary
`DelimitedPayloadTokenFilter` `create(TokenStream input)` Transform the specified input TokenStream
`void` `inform(ResourceLoader loader)` Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).

Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory
`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENCODER_ATTR

    public static final String ENCODER_ATTR

See Also:
  Constant Field Values

### DELIMITER_ATTR

    public static final String DELIMITER_ATTR

See Also:
  Constant Field Values

Constructor Detail

### DelimitedPayloadTokenFilterFactory

    public DelimitedPayloadTokenFilterFactory(Map<String,String> args)

  Creates a new DelimitedPayloadTokenFilterFactory

Method Detail

### create

    public DelimitedPayloadTokenFilter create(TokenStream input)

  Description copied from class: `TokenFilterFactory`
  Transform the specified input TokenStream

  Specified by:
    `create` in class `TokenFilterFactory`

### inform

    public void inform(ResourceLoader loader)

  Description copied from interface: `ResourceLoaderAware`
  Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).

  Specified by:
    `inform` in interface `ResourceLoaderAware`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.